### File

`packages/eui-mobile/packages/core/src/lib/components/directives/euim-toolbar-transparent/euim-toolbar-transparent.directive.ts`

### Metadata

Selector | `[euimToolbarTransparent]`
Standalone | `true`

### Index

###### Properties

- className

###### Methods

- onContentScroll

###### Inputs

- hasTitle
- scrollThreshold

###### HostBindings

- class
- class

###### HostListeners

- ionScroll

###### Accessors

- cssClasses

### Inputs

hasTitle
Type : `boolean`
Default value : `false`

scrollThreshold
Type : `number`
Default value : `150`

### HostBindings

class
Type : `string`
Default value : `'euim-toolbar--transparent'`

class
Type : `string`

### HostListeners

ionScroll
Arguments : `'$event'`

### Methods

onContentScroll
`onContentScroll($event)`
Decorators : `@HostListener('ionScroll', ['$event'])`

Parameters :

Name | Optional
$event | No

Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-toolbar--transparent'`
Decorators : `@HostBinding('class')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""